=== modified file 'drizzled/registry.h'
--- drizzled/registry.h	2009-05-29 02:09:15 +0000
+++ drizzled/registry.h	2009-07-21 04:24:13 +0000
@@ -29,8 +29,6 @@
 
 namespace internal {
 
-using namespace std;
-
 template<class T>
 struct RegistryMapCompare
 {

=== modified file 'drizzled/table_share.h'
--- drizzled/table_share.h	2009-07-10 00:39:24 +0000
+++ drizzled/table_share.h	2009-07-21 04:24:13 +0000
@@ -25,7 +25,6 @@
 
 #include <string>
 
-using namespace std;
 
 class TableShare
 {
@@ -325,7 +324,8 @@
     Length of key
   */
 
-  static inline uint32_t createKey(char *key, string& db_arg, string& table_name_arg)
+  static inline uint32_t createKey(char *key, std::string& db_arg,
+                                   std::string& table_name_arg)
   {
     return createKey(key, db_arg.c_str(), table_name_arg.c_str());
   }

=== modified file 'plugin/archive/ha_archive.h'
--- plugin/archive/ha_archive.h	2009-06-03 01:12:56 +0000
+++ plugin/archive/ha_archive.h	2009-07-21 04:24:13 +0000
@@ -22,8 +22,6 @@
 #include <drizzled/handler.h>
 #include <string>
 
-using namespace std;
-
 /*
   Please read ha_archive.cc first. If you are looking for more general
   answers on how storage engines work, look at ha_example.cc and
@@ -44,7 +42,7 @@
 
   bool prime(uint64_t *auto_increment);
 
-  string table_name;
+  std::string table_name;
   char data_file_name[FN_REFLEN];
   uint32_t use_count;
   pthread_mutex_t mutex;

